Subject: Re: [secdir] Secdir last call review of draft-ietf-perc-private-media-framework

From: David Benham <[email-masked]>
Date: Fri, 1 Mar 2019 12:46:08 -0800

Vincent
Follow up question regarding your general comments on sect 8.1 and 8.2
which we have not yet addressed in -09 ;

> Attacks of section 8.1 seems more realistic to me than attacks of section
8.2
> because of a weaker attacker model: the attacker is outside of the
systems,
> and not necessarily on the path.
> Therefore I would have liked to see more details in section 8.1, that’s
all.

You're asking for greater detail in sect 8.1 precisely because you estimate
that third-party attacks (aka outsiders to a given conference) are more
likely/common than the attacks we covered in the subsequent 8.2 section.
 Is that correct?

If so, I think we could restate some of what we have in sect 8.1 to make it
flow better and/or be clearer.   But it is not clear to us what we left out
detail-wise, or if we left out other attack examples.

With PERC's HBH integrity checks, authentication as well as HBH and E2E
encryption, we can quickly describe in text the prevention/mitigation of
attacks on the confidentiality of the media/content - PERCs reason to be -
to explain some of the brevity.

Could you help point us in the right direction with an example or two of
the things we should do to detail/elaborate sect 8.1.

> ** General comments about 8.1 and 8.2
> Insider attacks are a powerful form of attacker model with severe
consequences.
> This is not a big surprise. I'd be more interesting in a detailed 8.1
section,
> more likely to happen (weaker attacker model).

https://datatracker.ietf.org/doc/draft-ietf-perc-private-media-framework/

On Tue, Feb 19, 2019 at 11:13 PM Vincent Roca <[email-masked]> wrote:

> Hello Paul,
>
> Thanks for your answer and long explanations on the use of term
> « picture ». I was not aware of this
> evolution of vocabulary. Yes, please submit -09 version and I’ll have a
> new look at it.
>
>   Cheers,
>
>   Vincent
>

---

From: Vincent Roca <[email-masked]>
Date: Mon, 4 Mar 2019 15:02:16 +0100

Hello David, Paul, all,

I gave a look at version -09 of your I-D, here are a few comments.

Summary: Almost ready

** Section 8.1
 There is a sentence introducing section 8.2, but none for section 8.1. For instance it is not explicitely
explained what is meant by « 3rd party attack ». I suggest adding a sentence.

** Section 8.1
You’re saying that "If mutual DTLS authentication is not employed… ». Is it really an optional mechanism?
I must admit I haven’t read the rest of your I-D where this is probably explained, I’m just a bit surprised here.

** Section 8.2.2
It is suggested but not clearly said that the replay protection of Section 3.3.2/[RFC3711] MUST be used.
The sentence can be understood as replay protection is mandatory, Section 3.3.2 of [RFC3711] is an example
of such a mechanism.
I don't think this is what you mean.

** Section 8.2.3
Saying that "The delayed playout attack is a variant of the replay attack" is IMHO misleading.
Delaying and re-sending a packet already sent are two different attacks (and the fact that replay
protection is of no help against delayed packets is a good sign of these differences).
I'd remove this sentence altogether.

Otherwise, concerning your previous comment:

> Follow up question regarding your general comments on sect 8.1 and 8.2 which we have not yet addressed in -09 ;
> 
> > Attacks of section 8.1 seems more realistic to me than attacks of section 8.2
> > because of a weaker attacker model: the attacker is outside of the systems, 
> > Therefore I would have liked to see more details in section 8.1, that’s all.
> 
> You're asking for greater detail in sect 8.1 precisely because you estimate that third-party attacks (aka outsiders to a given conference) are more likely/common than the attacks we covered in the subsequent 8.2 section.   Is that correct?
> 
> If so, I think we could restate some of what we have in sect 8.1 to make it flow better and/or be clearer.   But it is not clear to us what we left out detail-wise, or if we left out other attack examples.
> 
> With PERC's HBH integrity checks, authentication as well as HBH and E2E encryption, we can quickly describe in text the prevention/mitigation of attacks on the confidentiality of the media/content - PERCs reason to be - to explain some of the brevity. 
> 
> Could you help point us in the right direction with an example or two of the things we should do to detail/elaborate sect 8.1.

[VR] I was surprised to see for instance 8 lines of text in section 8.2.2 or 8.2.4 to describe attacks
that cannot take place because of the PERC design. That being said, I see that version -09 has a
more detailed section 8.1 which is fine.

Cheers,

   Vincent